// ファイル名： Ch05/SolidLocator/Box.hh 
#pragma once 
#include "./Solid.hh" 
 
class Box : public Solid { 
 public: 
  Box(); 
  Box(string boxName, SolidPars boxSizeXYZ);  
 ~Box(); 
  bool isPointIn(Point3D testPoint ); 
};
